Lunacy 3.14 doesn't work on Windows 7


#1

Hi icons8!

Thank you very much for Lunacy. It is awesome! This is the only alternative for Illustrator I can use for now at the company.

The problem is Lunacy 3.14 doesn’t work for me. The same thing happens with 3.15. It doesn’t matter if it portable or not, I get the error. Version 3.13 works pretty well for me.

OS is Windows 7 Enterprise Service Pack1.

I would like to suggest this tool for all our team, and it would be nice to work with the latest version.

Thank you,
Alexey


#2

Hi! Indeed, the app works as expected on Windows 7 ent SP1. All these versions 3.14.0.0, 3.15.0.1, 3.15.0.2 have been tested. As of the suggestions do the following. Make sure you have the latest versions of Visual C++ and Microsoft.Net framework. All systems updates have to be completed as well. After these steps the app should work well. If not, turn off the ant-virus software and run the app under the admin account. Here are few screens demonstrating the operation of Lunacy on Win7: 2019-02-06_14-17-482019-02-06_14-19-112019-02-06_14-19-472019-02-06_14-21-00


#3

Have problem with running on Windows 7 SP1 too.
Just stuck on SplashScreenWindow.
Having script, which can be check Lunacy app dependencies would be helpful.


#4

It would be more useful if everyone used the current version of Windows 10 =)
Try to install all libraries Visual C++ Redistributable from 2005 to 2017 both x86 and x64


#5

It would be more useful if everyone used the current version of Windows 10 =)

Main reason why I choose Lunacy is that I can’t run Adobe XD on my “old” notebook with Windows 10 (because Adobe XD need video driver released after a certain date and there are no such drivers for my notebook).
Just notice, if you drop Windows 7 support, you lose some users, because there are no alternative for Windows 7 except Lunacy.

Try to install all libraries Visual C++ Redistributable from 2005 to 2017 both x86 and x64

Thank you. I will try (but I thought, Lunacy installs everything we need during the installation process)


#6

Yes, I agree! But our company will switch to 10 version only next year. Thank you


#7

Installs, but we are not very focused on Windows 7 so there may be problems.
One of the problems that I noticed is the long first run on Windows 7.

The percentage of Lunacy users on Windows 7 is small and will decrease with time.


#8

Thank you. I’ve tried install Microsoft Visual C++ Redistributable 2017 (64bit) first and this resolve the issue.

Just notice, on your screenshots you have .NET Framework 4.7.2, but with Lunacy 3.14 .NET Framework 4.6.2 was installed.


#9

Right. Lunacy requires a .NET Framework 4.6.2 but the actual version is now 4.7.2